/**
 * PilrcEdit - a graphical editor for PilRC files.
 * Copyright (C) 2000 Rob Nielsen
 * rnielsen@wn.com.au
 * http://www.wn.com.au/rnielsen/
 *
 * Released under the GNU GPL - http://www.gnu.org/copyleft/gpl.html
 */
package pilrcedit.control;

import pilrcedit.*;
import java.awt.Graphics;
import java.awt.Color;
import java.io.*;

public class Label extends FormObject
{
  public boolean hasWidthAndHeight()
  {
		return false;
	}

  public void paint(Graphics g)
  {
    Font font=getFont();
		g.setColor(usable?Color.black:Color.lightGray);
    font.drawString(g,TextTools.unescape(label),x,y);
    g.setColor(Color.black);
  }
}