/**
 * PilrcEdit - a graphical editor for PilRC files.
 * Copyright (C) 2000 Rob Nielsen
 * rnielsen@wn.com.au
 * http://www.wn.com.au/rnielsen/
 *
 * Released under the GNU GPL - http://www.gnu.org/copyleft/gpl.html
 */
package pilrcedit.control;

import pilrcedit.*;
import java.awt.*;
import java.io.*;

public class Gadget extends FormObject
{
  public boolean hasLabel()
  {
		return false;
	}

  public void parse(StreamTokenizer st) throws IOException
	{
    readID(st);
    readLocation(st);
    parseOptions(st);
    evaluatePosition();
	}

  public void paint(Graphics g)
  {
		g.drawRect(x,y,width,height);
		g.drawRect(x+2,y+2,width-4,height-4);
  }
}